Consistent arrow key handling in the Informative Alt+Tab skin
ClosedPublic

Authored by Zren on Oct 10 2018, 4:10 AM.

Details

Summary

Moved Dialog.Keys.onPressed to Dialog.mainItem.Keys.onPressed so that all tabbox skins are consistent. This fixes up/down arrow key navigation in this skin.

CCBUG: 370185

Test Plan
  • Using Plasma 5.15 Beta (which has D16693)
  • Confirmed Informative does not work, while other QML skins like Grid (code named present_windows) does. (Note: Breeze does not work, a different plasma-workspace patch will fix it).
  • Manually patched /usr/share/kwin/tabbox/informative/contents/ui/main.qml
  • Restarted KWin with kwin_x11 --replace
  • The Informative skin now works

Diff Detail

Repository
R114 Plasma Addons
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
Zren created this revision.Oct 10 2018, 4:10 AM
Restricted Application added a project: Plasma. · View Herald TranscriptOct 10 2018, 4:10 AM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
Zren requested review of this revision.Oct 10 2018, 4:10 AM
davidedmundson accepted this revision.Nov 6 2018, 9:20 PM
This revision is now accepted and ready to land.Nov 6 2018, 9:20 PM

Hmm, this does not actually work for me. Seems like it logically should, but it doesn't.

Zren edited the summary of this revision. (Show Details)Jan 18 2019, 5:38 PM
Zren edited the test plan for this revision. (Show Details)
Zren added a comment.Jan 18 2019, 5:46 PM

I forgot to merge this after david's patch was merged. I just tested this in the Neon Beta ISO to confirm the fix still works.

Hmm, this does not actually work for me. Seems like it logically should, but it doesn't.

I'm guessing you didn't restart the kwin_x11 --replace process after manually patching the qml file, as I believe the old version is still kwin's cache/memory. Changing to another skin and back won't reload the skin, you need to restart kwin. That or you tested without D16693 that forwards keyboard events to the qml skin.

ngraham accepted this revision.Jan 18 2019, 5:47 PM

Yeah, I was probably doing something dumb. Confirmed that this works with your test plan.

This revision was automatically updated to reflect the committed changes.

Yay! Now onto https://bugs.kde.org/show_bug.cgi?id=308331! I tried with D16897 but ran into some trouble. It works, but the keys are hardcoded rather than reading the key from the global shortcuts. What's tricky is that only the key itself should do it, not the key plus the modifier (since the user is already holding down a modifier to keep the alt-tab switcher open).

zzag added a subscriber: zzag.Tue, Mar 5, 4:52 PM

I'll backport it to Plasma/5.15.